<?php if (!defined('ABSPATH')) exit;

global $wpdb,$postid;
$wpcf7 = WPCF7_ContactForm::get_current();
$user_email = $user_mobile = $description = $user_price = '';
if ($submission = WPCF7_Submission::get_instance())
{
	$data = $submission->get_posted_data();
	$user_email = isset($data['user_email']) ? $data['user_email'] : "";
	$user_mobile = isset($data['user_mobile']) ? $data['user_mobile'] : "";
	$description = isset($data['description']) ? $data['description'] : "";
	$user_price = isset($data['user_price']) ? $data['user_price'] : 0;
}
$price = get_post_meta($postid, "_cf7yp_price", true);
if ($price == "")
{
	$price = $user_price;
}
$options = get_option('cf7yp_options');
foreach ($options as $k => $v)
{
	$value[$k] = $v;
}

$client = new SoapClient('https://rt.sizpay.ir/KimiaIPGRouteService.asmx?WSDL');
$result = $client->GetToken2($parameters = array(
		'MerchantID'  => $value['sizpay_merchant'],
		'TerminalID'  => $value['sizpay_terminal'],
		'UserName'    => $value['sizpay_username'],
		'Password'    => $value['sizpay_password'],
		'Amount'      => $price,
		'OrderID'     => time(),
		'ReturnURL'   => get_site_url().'/'.$value['return'],
		'InvoiceNo'   => time(),
		'DocDate'     => '',
		'ExtraInf'    => '',
		'AppExtraInf' => '',
		'SignData'    => ''
	))->GetToken2Result;
$result = json_decode($result);
if (isset($result->ResCod) && in_array($result->ResCod, array('0', '00')))
{
	$wpdb->insert($wpdb->prefix."cfbw7_transaction", $trans = array(
			'idform'      => $postid,
			'transid'     => '',
			'gateway'     => 'SizPay',
			'cost'        => $price,
			'created_at'  => time(),
			'email'       => $user_email,
			'user_mobile' => $user_mobile,
			'description' => $description,
			'status'      => 'none',
			'transid'     => $result->Token
		), $schema = array('%d', '%s', '%s', '%d', '%d', '%s', '%s', '%s', '%s'));
	$PaymentForm = '<p style="color:#ff0000; font:18px Tahoma; direction:rtl;">در حال اتصال به درگاه بانکی. لطفا صبر کنید ...</p>
					<form name="frmPay" method="post" action="https://rt.sizpay.ir/Route/Payment">
					<input type="hidden" name="MerchantID" value="'.$value['sizpay_merchant'].'" />
					<input type="hidden" name="TerminalID" value="'.$value['sizpay_terminal'].'" />
					<input type="hidden" name="Username"   value="'.$value['sizpay_username'].'" />
					<input type="hidden" name="Password"   value="'.$value['sizpay_password'].'" />
					<input type="hidden" name="Token"      value="'.$result->Token.'" />
					<input type="hidden" name="SignData"   value="" />
					<noscript><center><input type="submit" value="پرداخت" /></center></noscript>
				</form><script>document.frmPay.submit();</script>';
	if ( $is_ajax_request = 0 )
	{
			echo $PaymentForm;
	}
	else
	{
		$unit_tag = wpcf7_sanitize_unit_tag( $_POST['_wpcf7_unit_tag'] );
		echo json_encode(array('status'=>'mail_sent','into'=>'#'.$unit_tag,'message'=>$PaymentForm));
	}
}
else
{
	if (isset($result->Message)) {
		$error = $result->Message;
	} else {
		$error = 'UnExpected Error!';
	}
	$unit_tag = wpcf7_sanitize_unit_tag( $_POST['_wpcf7_unit_tag'] );
	echo json_encode(array('status'=>'validation_failed','into'=>'#'.$unit_tag,'message'=>$error . '<br><a href="' . get_site_url() . '" class="mrbtn_red" > بازگشت به سایت </a>'));
}
exit;

?>